<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files/>

    <containers>
       <container name='fichier'>
            <!-- eoleldap.conf is provided by eole-client-annuaire -->
            <file name='/etc/eole/eoleldap.conf' mkdir='True'/>
        </container>
        <container name='ftp'>
            <file filelist='proftpd' name='/etc/proftpd/conf.d/scribehorus' source='proftpd_scribehorus'/>
        </container>
        <container name="annuaire">
            <file filelist='openldap_installed' name='/var/lib/eole/01_fichier.ldif' mkdir='True'/>
        </container>
    </containers>

    <variables>
        <family name='proftpd'>
            <variable name='ftp_pam_ldap' redefine='True' hidden='True'/>
        </family>
        <family name='samba'>
            <variable name='activer_winbind' exists='False' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='activer_winbind' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ldap_nss' exists='False' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='ldap_nss' redefine='True' hidden='True'>
                <value>non</value>
            </variable>
            <!-- MEDDE specific variables -->
            <variable name='smb_ldap_suffix' exists='False' hidden='True' />
            <variable name='smb_ldap_admin_dn' exists='False' hidden='True' />
            <variable name='smb_printers_drivers_path' exists='False' hidden='True' />
            <variable name='smb_control_print_access_with_acl' exists='False' hidden='True' />
            <variable name='smb_nt_acl_support' exists='False' hidden='True' />
            <variable name='smb_ldap_suffix' redefine='True' hidden='True' />
            <variable name='smb_ldap_admin_dn' redefine='True' hidden='True' />
            <variable name='smb_printers_drivers_path' redefine='True' hidden='True' />
            <variable name='smb_control_print_access_with_acl' redefine='True' hidden='True' />
            <variable name='smb_nt_acl_support' redefine='True' hidden='True' />
        </family>
    </variables>

    <constraints>
        <condition name="disabled_if_not_in" source='openldap_installed' fallback='True'>
            <param>oui</param>
            <target type='filelist'>openldap_installed</target>
        </condition>
    </constraints>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
